Bug 146551 - Out of memory error described as just "memoryerror": could be clearer
Out of memory error described as just "memoryerror": could be clearer
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-01-29 09:51 EST by Robin Green
Modified: 2014-01-21 17:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 15:24:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robin Green 2005-01-29 09:51:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20050128 Firefox/1.0

Description of problem:
I was using ulimit -v to avoid processes allocating too much memory
and thrashing the system to death. I underestimated how much memory
yum would need, and so it died with a MemoryError, which sounds a bit
scary (could mean memory parity error!). I think the error message
could be clearer, i.e. "Out of memory".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. ulimit -v 50000
2. yum install xchat xen kernel-xen0 kernel-xenU


Actual Results:  Setting up Install Process
Setting up Repo:  development
repomd.xml                100% |=========================| 1.1 kB    00:00
Setting up Repo:  jpackage-fedora
repomd.xml                100% |=========================|  903 B    00:00
Setting up Repo:  jpackage
repomd.xml                100% |=========================|  903 B    00:00
Setting up Repo:  base
repomd.xml                100% |=========================| 1.1 kB    00:12
Setting up Repo:  updates-released
[Errno 4] IOError: HTTP Error 403: Forbidden
Trying other mirror.
repomd.xml                100% |=========================|  951 B    00:00
Setting up Repo:  freshrpms
repomd.xml                100% |=========================|  951 B    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 1.0 MB    00:17
MD Read   : ################################################## 3719/3719
Traceback (most recent call last):
  File "/usr/bin/yum", line 7, in ?
  File "/usr/share/yum-cli/yummain.py", line 68, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 387, in doCommands
    return self.installPkgs()
  File "/usr/share/yum-cli/cli.py", line 700, in installPkgs
  File "/usr/share/yum-cli/cli.py", line 80, in doRepoSetup
  File "/usr/lib/python2.3/site-packages/yum/__init__.py", line 138,
in doSackSetup
  File "/usr/lib/python2.3/site-packages/yum/repos.py", line 207, in
    dobj = repo.cacheHandler.getPrimary(xml, csum)
  File "/usr/lib/python2.3/site-packages/yum/mdcache.py", line 103, in
    return self._getGeneric('metadata', location, checksum)
  File "/usr/lib/python2.3/site-packages/yum/mdcache.py", line 97, in
    try: self._pickle(piklfile, databank)
  File "/usr/lib/python2.3/site-packages/yum/mdcache.py", line 53, in
    try: cPickle.dump(obj, outfh, cPickle.HIGHEST_PROTOCOL)

Expected Results:  The last line should read "MemoryError: Out of
memory" or similar

Additional info:

This is using python-2.3.4-11
Comment 1 Tom Mitchell 2005-08-06 02:40:38 EDT
On the other side of this silly use of memory by yum on a yum update of a fresh
FC3 x86_64 install.  This machine with eight GB of memory and yum attempts to
swap the systems eyeballs out.  

If I set ulimit -v to be a bit less than physical memory yum runs quickly.

It is unclear to me if this is because FC3 is old enough to have 1.3GB of 
download or if yum just goes hog wild when it has lots of memory.  I never had
the  time to see if it would ever finish so I do not know if it would error out
from a bug...

In my case there is no lack of memory just some obvious unbounded use of memory.
For anyone impacted by this a solution is to set ulimit -v  to a couple GB.

There realy is a bug under this RFE.
Comment 2 M.Seiler 2005-08-15 03:29:50 EDT
I got a similar problem when I try to upgrade FC3 to FC4 on a x64 system. My 
computer has 1.5GB physcal memory and a 2GB swap partition.

yum allways crashed with a out of memory error after running about 3hour. 
After I read this message, I do a ulimit -v 1024000 and now yum runns fine.
Comment 3 Jeremy Katz 2005-09-21 15:24:09 EDT
This shouldn't really be a problem with current versions of yum

Note You need to log in before you can comment on or make changes to this bug.